#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

#use FindBin;
#use lib $FindBin::Bin;
use CGI::Carp qw(fatalsToBrowser);
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

$gsettings = new_gsettings acs;

###########

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "global_settings") {&global_settings;}
if ($q->param('fct') eq "global_settings_save") {&global_settings_save;}

##################################################################################

sub global_settings_save
{

$nextpage = $q->param('nextpage');
$prevpage =  $q->param('prevpage');
$pages =  $q->param('pages');
$norating =  $q->param('norating');
$comments =  $q->param('comments');
$rateit =  $q->param('rateit');
$openpopup_rateit =  $q->param('openpopup_rateit');
$openpopup_comments =  $q->param('openpopup_comments');
$nextprev_seperator =  $q->param('nextprev_seperator');
$location_seperator =  $q->param('location_seperator');
$no_match_text =  $q->param('no_match_text');
$no_comments_text =  $q->param('no_comments_text');
$search_res_newwin =  $q->param('search_res_newwin');
$dir_newwin =  $q->param('dir_newwin');
$add_url_link =  $q->param('add_url_link');
$nr_links_dirs =  $q->param('nr_links_dirs');
$gen_file_ext =  $q->param('gen_file_ext');
$gen_default_index =  $q->param('gen_default_index');
$verbose_silent =  $q->param('verbose_silent');
$dir_sort_links =  $q->param('dir_sort_links');
$nrlinks_per_page =  $q->param('nrlinks_per_page');
$hide_urls =  $q->param('hide_urls');
$search_nrlinks_perpage =  $q->param('search_nrlinks_perpage');
$diz_chars =  $q->param('diz_chars');
$addurl_check_duplicates =  $q->param('addurl_check_duplicates');
$addurl_present =  $q->param('addurl_present');
$cp_link_listings =  $q->param('cp_link_listings');
$cp_search_listings =  $q->param('cp_search_listings');
$hideurls = $q->param('hideurls');
$dyn_stat = $q->param('dyn_stat');
$nomatch_template = $q->param('nomatch_template');

$modify_text = $q->param('modify_text');
$report_dead_link = $q->param('report_dead_link');

$add_url_form = $q->param('add_url_form');
$welcome_email = $q->param('welcome_email');

$add_url_premium = $q->param('add_url_premium');

$informer_email = $q->param('informer_email');

$modify_pass_check = $q->param('modify_pass_check');

$whatsnew_link_no = $q->param('whatsnew_link_no');
$tophits_link_no = $q->param('tophits_link_no');

$newlinks = $q->param('newlinks');
$days1 = $q->param('days1');
$days2 = $q->param('days2');
$days3 = $q->param('days3');
$popular_links = $q->param('popular_links');
$pop_links_amount = $q->param('pop_links_amount');
$modif_password = $q->param('modif_password');

$searchmeth = $q->param('searchmeth');

$date_format = $q->param('date_format');

$strip_html_code = $q->param('strip_html_code');

$img_auth = $q->param('img_auth');

$remove_duplicates = $q->param('remove_duplicates');

$c_image_auth = $q->param('c_image_auth');

$comments_nr = $q->param('comments_nr');

$newsubmissions_results = $q->param('newsubmissions_results');

$dirsearch_nrlinks_perpage = $q->param('dirsearch_nrlinks_perpage');

$dirsearch_cat_sep = $q->param('dirsearch_cat_sep');

$floodcontrol = $q->param('floodcontrol');

$flood_seconds = $q->param('flood_seconds');

$addurl_reg_system = $q->param('addurl_reg_system');

$custom_pagetitle = $q->param('custom_pagetitle');

$enable_reciprocal = $q->param('enable_reciprocal');

$reciprocal_link_back = $q->param('reciprocal_link_back');

$enable_reciprocal_premium = $q->param('enable_reciprocal_premium');

$default_image = $q->param('default_image');
$image_width = $q->param('image_width');
$image_height = $q->param('image_height');

$enable_image_uploads = $q->param('enable_image_uploads');

$upload_max_filesize = $q->param('upload_max_filesize');

$comment_max_chars = $q->param('comment_max_chars');

$rateit_user_reg = $q->param('rateit_user_reg');
$comments_reg_system = $q->param('comments_reg_system');

$comment_sorting = $q->param('comment_sorting');

$htmldisplay = $q->param('htmldisplay');

$new_account_validation = $q->param('new_account_validation');

$img_auth_brlinks = $q->param('img_auth_brlinks');

$searches_per_hour = $q->param('searches_per_hour');

$category_page_names = $q->param('category_page_names');

$more_info_naming = $q->param('more_info_naming');

$premium_first_search_results = $q->param('premium_first_search_results');

$log_search_keywords = $q->param('log_search_keywords');

$remove_duplicates_filter = $q->param('remove_duplicates_filter');

$reg_img_auth = $q->param('reg_img_auth');


open (GLS, "> $data_dir/gsettings.dat");
	print GLS 
	
		"nextpage=$nextpage" . "\n" . 
		"prevpage=$prevpage" . "\n" . 
		"pages=$pages" . "\n" . 
		"norating=$norating" . "\n" . 
		"comments=$comments" . "\n" . 
		"rateit=$rateit" . "\n" . 
		"openpopup_rateit=$openpopup_rateit" . "\n" . 
		"openpopup_comments=$openpopup_comments" . "\n" . 
		"nextprev_seperator=$nextprev_seperator" . "\n" . 
		"location_seperator=$location_seperator" . "\n" . 
		"no_match_text=$no_match_text" . "\n" . 
		"no_comments_text=$no_comments_text" . "\n" . 
		"search_res_newwin=$search_res_newwin" . "\n" . 
		"dir_newwin=$dir_newwin" . "\n" . 
		"add_url_link=$add_url_link" . "\n" . 
		"nr_links_dirs=$nr_links_dirs" . "\n" . 
		"gen_file_ext=$gen_file_ext" . "\n" . 
		"gen_default_index=$gen_default_index" . "\n" . 
		"verbose_silent=$verbose_silent" . "\n" . 
		"dir_sort_links=$dir_sort_links" . "\n" . 
		"nrlinks_per_page=$nrlinks_per_page" . "\n" . 
		"hide_urls=$hide_urls" . "\n" . 
		"search_nrlinks_perpage=$search_nrlinks_perpage" . "\n" . 
		"diz_chars=$diz_chars" . "\n" . 
		"addurl_check_duplicates=$addurl_check_duplicates" . "\n" . 
		"addurl_present=$addurl_present" . "\n" . 
		"cp_link_listings=$cp_link_listings" . "\n" . 
		"cp_search_listings=$cp_search_listings" . "\n" . 
		"hideurls=$hideurls" . "\n" . 
		"dyn_stat=$dyn_stat" . "\n" . 
		"nomatch_template=$nomatch_template" . "\n" .
		"modify_text=$modify_text" . "\n" . 
		"report_dead_link=$report_dead_link" . "\n" . 
		"add_url_form=$add_url_form" . "\n" . 
		"welcome_email=$welcome_email" . "\n" .
		"add_url_premium=$add_url_premium" . "\n" .
		"informer_email=$informer_email" . "\n" .
		"modify_pass_check=$modify_pass_check" . "\n" . 
		"whatsnew_link_no=$whatsnew_link_no" . "\n" . 
		"tophits_link_no=$tophits_link_no" . "\n" . 
		"newlinks=$newlinks" . "\n" . 
		"days1=$days1" . "\n" . 
		"days2=$days2" . "\n" . 
		"days3=$days3" . "\n" . 
		"popular_links=$popular_links" . "\n" . 
		"pop_links_amount=$pop_links_amount" . "\n" . 
		"modif_password=$modif_password" . "\n" . 
		"searchmeth=$searchmeth" . "\n" .
		"date_format=$date_format" . "\n" .
		"strip_html_code=$strip_html_code" . "\n" .
		"img_auth=$img_auth" . "\n". 
		"remove_duplicates=$remove_duplicates" . "\n" . 
		"c_image_auth=$c_image_auth" . "\n" . 
		"comments_nr=$comments_nr" . "\n" . 
		"newsubmissions_results=$newsubmissions_results" . "\n" . 
		"dirsearch_nrlinks_perpage=$dirsearch_nrlinks_perpage" . "\n" . 
		"dirsearch_cat_sep=$dirsearch_cat_sep" . "\n" . 
		"floodcontrol=$floodcontrol" . "\n" . 
		"flood_seconds=$flood_seconds" . "\n" .
		"addurl_reg_system=$addurl_reg_system" . "\n" . 
		"custom_pagetitle=$custom_pagetitle" . "\n" . 
		"enable_reciprocal=$enable_reciprocal" . "\n" . 
		"reciprocal_link_back=$reciprocal_link_back" . "\n" .
		"enable_reciprocal_premium=$enable_reciprocal_premium" . "\n" .
		"default_image=$default_image" . "\n" . 
		"image_width=$image_width" . "\n" . 
		"image_height=$image_height" . "\n" . 
		"enable_image_uploads=$enable_image_uploads" . "\n" . 
		"upload_max_filesize=$upload_max_filesize" . "\n" . 
		"comment_max_chars=$comment_max_chars" . "\n" . 
		"rateit_user_reg=$rateit_user_reg" . "\n" . 
		"comments_reg_system=$comments_reg_system" . "\n" . 
		"comment_sorting=$comment_sorting" . "\n" . 
		"htmldisplay=$htmldisplay" . "\n" . 
		"new_account_validation=$new_account_validation" . "\n" .
		"img_auth_brlinks=$img_auth_brlinks" . "\n" . 
		"searches_per_hour=$searches_per_hour" . "\n" . 
		"category_page_names=$category_page_names" . "\n" .
		"more_info_naming=$more_info_naming" . "\n" . 
		"premium_first_search_results=$premium_first_search_results" . "\n" . 
		"log_search_keywords=$log_search_keywords" . "\n" .
		"remove_duplicates_filter=$remove_duplicates_filter" . "\n" . 
		"reg_img_auth=$reg_img_auth";
		

close (GLS);


$hbox = acs::get_heading_box("$web_url/ic_settings5.gif", "Global Engine Settings Saved", qq[You may <a
    href="javascript:onClick=window.close()">close</a> this window.
]);


print <<END_OF_SV;

<html>
<head>
<title>Settings Saved</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" /> 
</head>
<body>
$hbox
</body>
</html>

END_OF_SV

}


######################




sub global_settings
{

$nextpage = 					$gsettings->{nextpage};
$prevpage =  					$gsettings->{prevpage};
$pages =  						$gsettings->{pages};
$norating =  					$gsettings->{norating};
$comments =  					$gsettings->{comments};
$rateit =  						$gsettings->{rateit};
$openpopup_rateit =  		$gsettings->{openpopup_rateit};
$openpopup_comments =  		$gsettings->{openpopup_comments};
$nextprev_seperator =  		$gsettings->{nextprev_seperator};
$location_seperator =  		$gsettings->{location_seperator};
$no_match_text =  			$gsettings->{no_match_text};
$no_comments_text =  		$gsettings->{no_comments_text};
$search_res_newwin =  		$gsettings->{search_res_newwin};
$dir_newwin =  				$gsettings->{dir_newwin};
$add_url_link =  				$gsettings->{add_url_link};
$nr_links_dirs =  			$gsettings->{nr_links_dirs};
$gen_file_ext =  				$gsettings->{gen_file_ext};
$gen_default_index =  		$gsettings->{gen_default_index};
$verbose_silent =  			$gsettings->{verbose_silent};
$dir_sort_links =  			$gsettings->{dir_sort_links};
$nrlinks_per_page = 			$gsettings->{nrlinks_per_page};
$hide_urls =  					$gsettings->{hide_urls};
$search_nrlinks_perpage =  $gsettings->{search_nrlinks_perpage};
$diz_chars =  					$gsettings->{diz_chars};
$addurl_check_duplicates = $gsettings->{addurl_check_duplicates};
$addurl_present =  			$gsettings->{addurl_present};

$cp_link_listings =  			$gsettings->{cp_link_listings};
$cp_search_listings =  			$gsettings->{cp_search_listings};
$hideurls = 						$gsettings->{hideurls};
$dyn_stat = 						$gsettings->{dyn_stat};
$nomatch_template = 				$gsettings->{nomatch_template};

$modify_text = 				$gsettings->{modify_text};
$report_dead_link = 			$gsettings->{report_dead_link};

$add_url_form = $gsettings->{add_url_form};
$welcome_email = $gsettings->{welcome_email};

$add_url_premium = $gsettings->{add_url_premium};

$informer_email = $gsettings->{informer_email};

$modify_pass_check = $gsettings->{modify_pass_check};

$whatsnew_link_no = $gsettings->{whatsnew_link_no};
$tophits_link_no = $gsettings->{tophits_link_no};

$newlinks =  $gsettings->{newlinks};
$days1 =  $gsettings->{days1};
$days2 =  $gsettings->{days2};
$days3 =  $gsettings->{days3};
$popular_links =  $gsettings->{popular_links};
$pop_links_amount =  $gsettings->{pop_links_amount};

$modif_password = $gsettings->{modif_password};

$searchmeth = $gsettings->{searchmeth};

$date_format = $gsettings->{date_format};

$date_format_ar[$date_format] = "selected";

$strip_html_code = $gsettings->{strip_html_code};

$img_auth = $gsettings->{img_auth};

$remove_duplicates = $gsettings->{remove_duplicates};

$c_image_auth = $gsettings->{c_image_auth};

$comments_nr = $gsettings->{comments_nr};

$newsubmissions_results = $gsettings->{newsubmissions_results};

$dirsearch_nrlinks_perpage = $gsettings->{dirsearch_nrlinks_perpage};

$dirsearch_cat_sep = $gsettings->{dirsearch_cat_sep};

$floodcontrol = $gsettings->{floodcontrol};

$flood_seconds = $gsettings->{flood_seconds}; if ($flood_seconds eq "") { $flood_seconds = "2"; }

$addurl_reg_system = $gsettings->{addurl_reg_system}; 

$custom_pagetitle = $gsettings->{custom_pagetitle}; 
if ($custom_pagetitle eq "") { $custom_pagetitle = "%%pagetitle%%"; }


$reciprocal_link_back = $gsettings->{reciprocal_link_back}; 

$enable_reciprocal = $gsettings->{enable_reciprocal}; 

$enable_reciprocal_premium = $gsettings->{enable_reciprocal_premium}; 

$default_image = $gsettings->{default_image}; 

$image_width = $gsettings->{image_width}; 

$image_height = $gsettings->{image_height}; 

$upload_max_filesize = $gsettings->{upload_max_filesize}; if ($upload_max_filesize eq "") { $upload_max_filesize = 50; }

$enable_image_uploads = $gsettings->{enable_image_uploads};

$comment_max_chars = $gsettings->{comment_max_chars};

$rateit_user_reg = $gsettings->{rateit_user_reg};

$comments_reg_system = $gsettings->{comments_reg_system};

$comment_sorting = $gsettings->{comment_sorting};

$new_account_validation = $gsettings->{new_account_validation};

$img_auth_brlinks = $gsettings->{img_auth_brlinks};

$searches_per_hour = $gsettings->{searches_per_hour};


$log_search_keywords = $gsettings->{log_search_keywords};


$remove_duplicates_filter = $gsettings->{remove_duplicates_filter};


$reg_img_auth = $gsettings->{reg_img_auth};


if ($reg_img_auth eq "Yes")
	{
	$reg_img_auth_yes = "selected";
	}
	else
	{
	$reg_img_auth_no = "selected";
	}



if ($remove_duplicates_filter eq "Title")
	{
	$remove_duplicates_filter_title = "selected";
	}
	else
	{
	$remove_duplicates_filter_URL = "selected";
	}
	

if ($log_search_keywords eq "Yes") 
	{
	$log_search_keywords_yes = "selected";
	}
	else
	{
	$log_search_keywords_no = "selected";
	}




if ($searches_per_hour eq "") { $searches_per_hour = 0; }



if ($comment_sorting eq "new") { $comment_sorting_new = "selected"; } else { $comment_sorting_old = "selected"; }

if ($rateit_user_reg eq "Yes") { $rateit_user_reg_yes = "selected"; } else { $rateit_user_reg_no = "selected"; }
if ($comments_reg_system eq "Yes") { $comments_reg_system_yes = "selected"; } else { $comments_reg_system_no = "selected"; }

$htmldisplay = $gsettings->{htmldisplay};


$category_page_names = $gsettings->{category_page_names};

$more_info_naming = $gsettings->{more_info_naming};


$premium_first_search_results = $gsettings->{premium_first_search_results};




if ($more_info_naming eq "linktitles") 
	{
	$linktitles_sel = "selected";
	}
	else
	{
	$linkids_sel = "selected";
	}





if ($category_page_names eq "categorynames") 
	{
	$categorynames_sel = "selected";
	}
	else
	{
	$more_sel = "selected";
	}





if ($htmldisplay eq "htmlon")
	{
	$htmlon = "selected";
	}
	else
	{
	$htmloff = "selected";
	}



if ($enable_image_uploads eq "Yes")
	{
	$enable_image_uploads_yes = "selected"; 
	}
	else
	{
	$enable_image_uploads_no = "selected"; 
	}



if ($enable_reciprocal_premium eq "Yes")
	{
	$enable_reciprocal_premium_y = "selected";
	}
	else
	{
	$enable_reciprocal_premium_n = "selected";
	}



if ($enable_reciprocal eq "Yes")
	{
	$enable_reciprocal_y = "selected";
	}
	else
	{
	$enable_reciprocal_n = "selected";
	}



#####

if ($c_image_auth eq "Yes")
	{
	$c_image_auth_y = "selected";
	}
	else
	{
	$c_image_auth_n = "selected";
	}



if ($searchmeth eq "pseek")
	{
	$pseek_sel = "selected";
	}
	else
	{
	$mysql_sel = "selected";
	}


if ($newlinks eq "Yes")
	{
	$newlinks_yes = "selected";
	}
	else
	{
	$newlinks_no = "selected";
	}
#$newlinks_yes = "selected";

if ($popular_links eq "Yes")
	{
	$popular_links_yes = "selected";
	}
	else
	{
	$popular_links_no = "selected";
	}

#openpopup_rateit
#openpopup_comments
#search_res_newwin
#dir_newwin
#nr_links_dirs
#verbose_silent
#dir_sort_links
#hide_urls
#addurl_check_duplicates
#addurl_present

if ($openpopup_rateit eq "Yes")
	{
	$openpopup_rateit_yes = "selected";
	}
	else
	{
	$openpopup_rateit_no = "selected";
	}

#########

if ($openpopup_comments eq "Yes")
	{
	$openpopup_comments_yes = "selected";
	}
	else
	{
	$openpopup_comments_no = "selected";
	}

########

if ($search_res_newwin eq "Yes")
	{
	$search_res_newwin_yes = "selected";
	}
	else
	{
	$search_res_newwin_no = "selected";
	}

########

if ($dir_newwin eq "Yes")
	{
	$dir_newwin_yes = "selected";
	}
	else
	{
	$dir_newwin_no = "selected";
	}

########

if ($nr_links_dirs eq "Yes")
	{
	$nr_links_dirs_yes = "selected";
	}
	else
	{
	$nr_links_dirs_no = "selected";
	}

########

if ($verbose_silent eq "Verbose")
	{
	$verbose_silent_verbose = "selected";
	}
	else
	{
	$verbose_silent_silent = "selected";
	}

########

if ($dir_sort_links eq "Popularity")
	{
	$dir_sort_links_popularity = "selected";
	}
elsif ($dir_sort_links eq "Alphabetical")
	{
	$dir_sort_links_alphabetical = "selected";
	}
elsif ($dir_sort_links eq "Hits")
	{
	$dir_sort_links_hits = "selected";
	}
elsif ($dir_sort_links eq "Votes")
	{
	$dir_sort_links_votes = "selected";
	}
elsif ($dir_sort_links eq "Ratings")
	{
	$dir_sort_links_ratings = "selected";
	}
elsif ($dir_sort_links eq "Newest")
	{
	$dir_sort_links_new = "selected";
	}
elsif ($dir_sort_links eq "Random")
	{
	$dir_sort_links_random = "selected";
	}


########

if ($hide_urls eq "Yes")
	{
	$hide_urls_yes = "selected";
	}
	else
	{
	$hide_urls_no = "selected";
	}


########

if ($addurl_check_duplicates eq "Yes")
	{
	$addurl_check_duplicates_yes = "selected";
	}
	else
	{
	$addurl_check_duplicates_no = "selected";
	}

########

if ($addurl_present eq "Yes")
	{
	$addurl_present_yes = "selected";
	}
	else
	{
	$addurl_present_no = "selected";
	}

#########

if ($hideurls eq "Yes")
	{
	$hideurls_yes = "selected";
	}
	else
	{
	$hideurls_no = "selected";
	}


#######

if ($dyn_stat eq "Static")
	{
	$dyn_stat_static = "selected";
	}
	else
	{
	$dyn_stat_dynamic = "selected";
	}


#######

if ($nomatch_template eq "nomatch_tmpl")
	{
	$nomatch_template_nomatch_tmpl = "selected";
	}
	else
	{
	$nomatch_template_default_tmpl = "selected";
	}

#######

if ($add_url_form eq "medium")
	{
	$add_url_form_medium = "selected";
	}
	else
	{
	$add_url_form_large = "selected";
	}

########

if ($welcome_email eq "Yes")
	{
	$welcome_email_yes = "selected";
	}
	else
	{
	$welcome_email_no = "selected";
	}

#########

if ($informer_email eq "Yes")
	{
	$informer_email_yes = "selected";
	}
	else
	{
	$informer_email_no = "selected";
	}

#########

if ($modify_pass_check eq "Yes")
	{
	$modify_pass_check_yes = "selected";
	}
	else
	{
	$modify_pass_check_no = "selected";
	}

#########

if ($modif_password ne "No")
	{
	$modif_password_yes = "selected";
	}
	else
	{
	$modif_password_no = "selected";
	}

#########

if ($strip_html_code ne "No")
	{
	$strip_html_code_yes = "selected";
	}
	else
	{
	$strip_html_code_no = "selected";
	}

###########

if ($img_auth ne "No")
	{
	$img_auth_yes = "selected";
	}
	else
	{
	$img_auth_no = "selected";
	}

###########

if ($remove_duplicates eq "Yes")
	{
	$remove_duplicates_yes = "selected";
	}
	else
	{
	$remove_duplicates_no = "selected";
	}


####
if ($remove_duplicates eq "Yes")
	{
	$remove_duplicates_yes = "selected";
	}
	else
	{
	$remove_duplicates_no = "selected";
	}


if ($floodcontrol eq "No")
	{
	$floodcontrol_no = "selected";
	}
	else
	{
	$floodcontrol_yes = "selected";
	}


if ($floodcontrol eq "No")
	{
	$floodcontrol_no = "selected";
	}
	else
	{
	$floodcontrol_yes = "selected";
	}


if ($addurl_reg_system eq "Yes")
	{
	$addurl_reg_system_yes = "selected";
	}
	else
	{
	$addurl_reg_system_no = "selected";
	}


if ($new_account_validation eq "No")
	{
	$new_account_validation_no = "selected";
	}
	else
	{
	$new_account_validation_yes = "selected";
	}


if ($img_auth_brlinks eq "Yes")
	{
	$img_auth_brlinks_yes = "selected";
	}
	else
	{
	$img_auth_brlinks_no = "selected";
	}


if ($premium_first_search_results eq "Y")
	{
	$premium_first_search_results_yes = "selected";
	}
	else
	{
	$premium_first_search_results_no = "selected";
	}


 
 
 

$hbox = acs::get_heading_box("$web_url/ic_settings5.gif", "Global Engine Settings", qq[
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td width="99%" class="normaltext">See the documentation for more detailed explanations of the settings that
    are available here. 
      <ul>
      <li>1. <a href="#1">General Settings </a></li>
      <li>2. <a href="#2">HTML File Generation Settings </a></li>
      <li>3. <a href="#3">Directory/Category Listing Settings </a></li>
      <li>4. <a href="#4">Search Settings </a></li>
      <li>5. <a href="#5">New Submission Settings </a></li>
      <li>6. <a href="#6">Comment/Reviews Submission Settings </a></li>
      <li>7. <a href="#7">Control Panel Settings </a></li>
      <li>8. <a href="#8">What's New &amp; Top Hits Settings </a></li>
      <li>9. <a href="#9">New &amp; Popular Indication Settings </a></li>
      <li>10. <a href="#10">Modifying of links </a></li>
    </ul>
    </td>
    <td width="1%" valign="top"><a href="$admin_url/help.cgi?fct=settings" target="_blank"><strong><img
    src="$web_url/bhelps.gif" border="0"></strong></a></td>
  </tr>
</table>
]);


print <<END_OF_SET;

<html>

<head>
<title>PowerSeek SQL</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" /> 
</head>
<body>

<form method="POST" action="$admin_url/admin10.cgi">
  <input type="hidden" name="fct" value="global_settings_save"><input type="hidden"
  name="$newlinks_yes" value="Yes">
  
$hbox
  
 
<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="1"></a> <strong>1. General Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Are you going to run
    a static or dynamic directory?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="dyn_stat" size="1">
      <option $dyn_stat_static value="Static"> Static </option>
      <option $dyn_stat_dynamic value="Dynamic"> Dynamic </option>
    </select> <br>
    &nbsp; <br>
    <strong>Static: </strong>A complete browsable set of HTML files are generated (created)
    that is browsable. Light on server resources, search engine friendly and highly
    recommended. Note that you will have to generate the files by clicking the 'Dir Manager'
    button. Then click 'Generate HTML files'. When any links are changed or added, the HTML
    files will have to be regenerated to reflect the changes. <br>
    &nbsp; <br>
    <strong>Dynamic : </strong>HTML files are generated on the fly while users browse the
    directory. All changes to links and directories/categories are immediate; and no HTML
    files need to be generated. <br>
    &nbsp; </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Next Page Text:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="nextpage"
    size="19" value="$nextpage"> <br>
    The 'next page' text is clickable to navigate between pages in directories/categories and
    the search results. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Previous Page Text:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="prevpage"
    size="19" value="$prevpage"> <br>
    The 'previous page' text is clickable to navigate between pages in directories/categories
    and the search results </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Text before number
    of pages:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="pages" size="19"
    value="$pages"> <br>
    The text that is displayed to indicate the number of pages for a directory/category or the
    search results. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Separator between
    next and previous page:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="nextprev_seperator" size="4" value="$nextprev_seperator"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Category separator:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="location_seperator" size="4" value="$location_seperator"> <br>
    This separator is used when displaying the category/directory path when browsing the
    directory. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>No comments text:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="no_comments_text"
    size="62" value="$no_comments_text"> <br>
    This text will be displayed if there are no comments when viewing comments for links. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Open new windows for
    links in directories/categories:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="dir_newwin" size="1">
      <option $dir_newwin_yes value="Yes"> Yes </option>
      <option $dir_newwin_no value="No"> No </option>
    </select> <br>
    If this is set to 'Yes', links from the directories/categories will open in new windows
    when clicked. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of links
    displayed next to directories/categories?&nbsp;&nbsp; <br>
    &nbsp;&nbsp;&nbsp; </strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="nr_links_dirs" size="1">
      <option $nr_links_dirs_yes value="Yes"> Yes </option>
      <option $nr_links_dirs_no value="No"> No </option>
    </select> <br>
    The number of links will be displayed next to directories/categories in brackets when sub
    directories are listed in directories/categories. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Hide URLs when
    displaying link listings: <br>
    </strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="hideurls" size="1">
      <option $hideurls_yes value="Yes"> Yes </option>
      <option $hideurls_no value="No"> No </option>
    </select> <br>
    If set to 'Yes', URLs won't be visible when end users browse categories or search for link
    listings (URL's won't display in the status bar of the browser). <br>
    <b>Note that if this is set to 'No', then hits won't be counted. </b></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>What date format
    should be used when displaying dates?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="date_format" size="1">
      <option $date_format_ar[0] value="0"> Month dd, yyyy (Apr 10, 2003) </option>
      <option $date_format_ar[1] value="1"> dd Month yyyy (10 Apr 2003) </option>
      <option $date_format_ar[2] value="2"> yyyy-mm-dd (2003-05-10) </option>
      <option $date_format_ar[3] value="3"> mm-dd-yyyy (05-10-2003) </option>
      <option $date_format_ar[4] value="4"> dd-mm-yyyy (10-05-2003) </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Enable Image
    Authentication for the 'Report Broken Links' function:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="img_auth_brlinks" size="1">
      <option $img_auth_brlinks_yes value="Yes"> Yes </option>
      <option $img_auth_brlinks_no value="No"> No </option>
    </select> <br>
    When this is enabled then visitors reporting broken links will need to type letters of
    letter boxes displayed. This option is available so that spammers cannot spam this
    function. </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="2"></a> <strong>2. HTML File Generation Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Generated File
    Extensions:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="gen_file_ext"
    size="8" value="$gen_file_ext"> <br>
    HTML files that is generated will have this file extension. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Default Index File:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="gen_default_index" size="17" value="$gen_default_index"> <br>
    This is the first file in any generated directory that will be loaded when no file name
    was given to access a directory. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Generating from
    telnet/ssh:&nbsp;&nbsp;&nbsp;</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="verbose_silent" size="1">
      <option $verbose_silent_verbose value="Verbose"> Verbose </option>
      <option $verbose_silent_silent value="Silent"> Silent </option>
    </select> <br>
    <strong>Verbose </strong>= Displays information when generating HTML files to the console <br>
    <strong>Silent </strong>= Displays no information when generating HTML files </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Category pages
    naming convention:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="category_page_names"
    size="1">
      <option $categorynames_sel value="categorynames"> Use category names </option>
      <option $more_sel value="more"> Use the 'more' name </option>
    </select> <br>
    In previous versions of PowerSeek (prior to ver 3.1) more than one page listing links in
    categories would have the names more1.html, more2.html, etc. Category names can now be
    used for these file names instead of more1, more2, etc. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>'More Info' pages
    naming convention:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="more_info_naming" size="1">
      <option $linktitles_sel value="linktitles"> Use link titles for file names </option>
      <option $linkids_sel value="linkids"> Use link IDs for file names </option>
    </select> <br>
    In previous versions of PowerSeek (prior to ver 3.1) 'More Info' pages would be named
    123.html, 124.html for example. ('More Info' pages would have numerical names). 'More
    Info' pages can now have file names according to the title of the link. </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    style="border-left: 1px; border-right: 1px; border-bottom: 1px"
    background="$web_url/bar6.gif"><a name="3"></a> <strong>3. Directory/Category Listing
    Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Listings in
    Directories Sorted by:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="dir_sort_links" size="1">
      <option value="Popularity" $dir_sort_links_popularity> Popularity </option>
      <option value="Alphabetical" $dir_sort_links_alphabetical> Alphabetical </option>
      <option value="Hits" $dir_sort_links_hits> Hits </option>
      <option value="Votes" $dir_sort_links> Votes </option>
      <option value="Ratings" $dir_sort_links_ratings> Ratings </option>
      <option value="Newest" $dir_sort_links_new> Newest to Oldest </option>
    </select> <br>
    <strong>Popularity </strong>= Each vote, hit &amp; rating receives a score and the
    listings with the highest scores are listed first. <br>
    <strong>Alphabetical </strong>= Listings are alphabetically listed in
    directories/categories <br>
    <strong>Hits </strong>= Listings are sorted from most hits to least hits <br>
    <strong>Votes </strong>= Listings are sorted from most votes to least votes <br>
    <strong>Ratings </strong>= Listings are sorted from highest to lowest rating <br>
    <strong>Newest to Oldest </strong>= New or updated listings first. <br>
    &nbsp;&nbsp;&nbsp;&nbsp; </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of listings
    per page:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="nrlinks_per_page"
    size="8" value="$nrlinks_per_page"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Substitute with the
    following text if the category has no title and %%custom_pagetitle%% has been used:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="custom_pagetitle"
    size="50" value="$custom_pagetitle"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>If you are using an
    uploaded image with link listings and there is no image for the link listing then you can
    specify the path to a default image that will display: (Leaving it blank will results in
    nothing being displayed)</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="default_image"
    size="50" value="$default_image"> <br>
    For Example: http://www.yourdomain.com/some_image.gif </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Would you like
    uploaded images displayed with link listings to have a fixed width and height? If so then
    please supply the width and height. If not then set the values to be zero.</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)">Width: <input type="text"
    name="image_width" size="11" value="$image_width"> (Pixels) / Height: <input type="text"
    name="image_height" size="11" value="$image_height"> (Pixels) </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Enable image
    uploading from submission forms?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="enable_image_uploads"
    size="1">
      <option $enable_image_uploads_yes value="Yes"> Yes </option>
      <option $enable_image_uploads_no value="No"> No </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>What is the maximum
    size of an image file that may be uploaded?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="upload_max_filesize" size="8" value="$upload_max_filesize"> Kilobytes <br>
    If a user uploads an image that exceeds this size then the image will not be accepted. </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>




<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="4"></a> <strong>4. Search Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Search Method:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="searchmeth" size="1">
      <option $pseek_sel value="pseek"> Use PowerSeek's Relevance Formula </option>
      <option $mysql_sel value="fulltext"> Use MySQL's FULLTEXT Searching </option>
    </select> <p><strong>PowerSeek's Relevance Formula </strong><br>
    Higher accuracy than fulltext searching but requires more server resources. </p>
    <p><strong>MySQL's FULLTEXT Searching </strong><br>
    Faster with large amounts of links and highly recommended for directories with tens of
    thousands of links. <br>
    &nbsp;&nbsp;&nbsp;&nbsp; </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>List 'Premium' first 
    that matched keywords in 'Search Results'?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select
    name="premium_first_search_results" size="1">
      <option value="Y" $premium_first_search_results_yes>Yes</option>
      <option value="N" $premium_first_search_results_no>No</option>
    </select><br>
    Setting this to 'Yes' will display Premium Links in search results above Standard Links.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>What to use when a
    search revealed no matches?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="nomatch_template" size="1">
      <option $nomatch_template_nomatch_tmpl value="nomatch_tmpl"> Use and display the template called 'nomatch.html' </option>
      <option $nomatch_template_default_tmpl value="default_tmpl"> Use the template called 'searchres.html' with the 'no match text below' </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Text when a search
    revealed no matches?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="no_match_text"
    size="62" value="$no_match_text"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Open new windows for
    links from search results?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="search_res_newwin" size="1">
      <option $search_res_newwin_yes value="Yes"> Yes </option>
      <option $search_res_newwin_no value="No"> No </option>
    </select> <br>
    If this is set to 'Yes', links will open in new windows when links from search results are
    clicked. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of listings
    per page?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="search_nrlinks_perpage" size="8" value="$search_nrlinks_perpage"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Remove duplicate
    links from search results?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="remove_duplicates" size="1">
      <option $remove_duplicates_yes value="Yes"> Yes </option>
      <option $remove_duplicates_no value="No"> No </option>
    </select> <br>
    Set this to 'Yes' if you have duplicate links (links with the same URL) and don't want the
    duplicates displayed in the search results. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" valign="top" class="normaltext"><strong>If you've chosen to remove duplicates by what should it be filtered:</strong></td>
    <td valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><span class="normaltext" style="border-left: 1px solid rgb(221,221,221)">
      <select name="remove_duplicates_filter" size="1" id="remove_duplicates_filter">
        <option value="URL" $remove_duplicates_filter_URL>Don't display links that has the same URL more than once</option>
        <option value="Title" $remove_duplicates_filter_title>Don't display links that has the same Title more than once</option>
                              </select>
    </span></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of listings
    per page when searching categories from advanced search form:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="dirsearch_nrlinks_perpage" size="8" value="$dirsearch_nrlinks_perpage"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Separator to
    separate categories in category search results when searching categories from advanced
    search form:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="dirsearch_cat_sep" size="8" value="$dirsearch_cat_sep"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Would you like to
    use flood control?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="floodcontrol" size="1">
      <option $floodcontrol_yes value="Yes"> Yes </option>
      <option $floodcontrol_no value="No"> No </option>
    </select> <br>
    Flood control is used so that people cannot press the search button continuously in a
    short time period that might cause significant server resource usage. (In other words
    searches will only be done within a specific time period like for example 2 seconds for
    individual users) </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of seconds to
    wait when a user tries to press the search button (flood the search script) continuously.</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="flood_seconds"
    size="8" value="$flood_seconds"> seconds <br>
    If the search button is pressed more than once in a 2 second time period then this is the
    amount of time the script will wait before attempting a search. If you are not sure about
    this value, leave it at 2 seconds. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of searches
    allowed by unique IP Address:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="searches_per_hour" size="8" value="$searches_per_hour"> <br>
    This will limit the amount of searches you allow each visitor 'per hour'. This is to avoid
    spammers submitting spam searches. If set to 0 (zero) then visitors can make an unlimited
    amount of searches. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" valign="top" class="normaltext"><strong>Log Search Keywords:</strong></td>
    <td valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><span class="normaltext" style="border-left: 1px solid rgb(221,221,221)">
      <select name="log_search_keywords" size="1" id="log_search_keywords">
        <option $log_search_keywords_yes value="Yes"> Yes </option>
        <option $log_search_keywords_no value="No"> No </option>
      </select>
      <br>
    Enabling this will 'log' keywords for the 'Search Term Statistics' plugin so that you can see what was searched for.</span></td>
  </tr>
</table>




<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>







<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="5"></a> <strong>5. New Submission Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Would you like to
    use the user registration system?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="addurl_reg_system" size="1">
      <option $addurl_reg_system_yes value="Yes"> Yes </option>
      <option $addurl_reg_system_no value="No"> No </option>
    </select> <br>
    If you use this then users will be required to register an verify their email addresses
    before they are able to submit links. <strong>Note that different 'Add URL' and 'Link
    Modify' templates </strong>are used as this option provides a control panel to users who
    submit links. Click the template manager tab for more details from the main control panel.    </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>If you are using the
    'User Registration System', would you like users to validate new accounts by email?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="new_account_validation"
    size="1">
      <option $new_account_validation_yes value="Yes"> Yes </option>
      <option $new_account_validation_no value="No"> No </option>
    </select> <br>
    <br>
    <strong>Yes </strong>= When users register a new account they will then receive an email
    to validate the account before being able to login. Validating the account involves
    clicking a link sent to them via email. <p><strong>No </strong>= When users register a new
    account then they will be able to login without validating the new account via email. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td valign="top" class="normaltext" align="right"><strong>If you are using the
    'User Registration System', would you like to enable Image Authentication to the Registration form? </strong></td>
    <td valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><span class="normaltext" style="border-left: 1px solid rgb(221,221,221)">
      <select name="reg_img_auth"
    size="1">
        <option value="Yes" $reg_img_auth_yes> Yes </option>
        <option value="No" $reg_img_auth_no> No </option>
                  </select>
    </span></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Would you like users
    to register an account to be able to post comments for links?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="comments_reg_system"
    size="1">
      <option $comments_reg_system_yes value="Yes"> Yes </option>
      <option $comments_reg_system_no value="No"> No </option>
    </select> <br>
    Note that this setting has no effect if you are not using the user registration system. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Would you like users
    to register an account to be able to rate links?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="rateit_user_reg" size="1">
      <option $rateit_user_reg_yes value="Yes"> Yes </option>
      <option $rateit_user_reg_no value="No"> No </option>
    </select> <br>
    Note that this setting has no effect if you are not using the user registration system. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>What 'Add URL' form
    will you be using?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="add_url_form" size="1">
      <option $add_url_form_medium value="medium"> Medium Sized Search Engine </option>
      <option $add_url_form_large value="large"> Large Search Engine </option>
    </select> <br>
    <strong>&nbsp; <br>
    Medium Sized Search Engine: </strong>The 'add url' form for medium sized search engines,
    is recommended for search engines that is using less than 2000 directories. The directory
    tree is available as a drop down box on the submission form. <p><strong>Large Sized Search
    Engine: </strong>The 'add url' form for large sized search engines is recommended for
    search engines that is using more than 2000 directories. The directory tree is not
    available as a drop down box on the submission form. Users have to go to the category
    where they would like to submit a new url and then click on the 'add url' link. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Maximum Number of
    Description Characters?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="diz_chars"
    size="8" value="$diz_chars"> <br>
    (Recommended 255) <br>
    This is the maximum characters allowed in the description field when a link is submitted: </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Check for duplicates
    when new URLs are submitted?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="addurl_check_duplicates"
    size="1">
      <option $addurl_check_duplicates_yes value="Yes"> Yes </option>
      <option $addurl_check_duplicates_no value="No"> No </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Check that a URL is
    present in the submission form?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="addurl_present" size="1">
      <option $addurl_present_yes value="Yes"> Yes </option>
      <option $addurl_present_no value="No"> No </option>
    </select> <strong><br>
    </strong>This setting is here to support a situation where a listing might not have a URL
    - so that it is accepted. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Check that a modify
    password was entered?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="modify_pass_check" size="1">
      <option $modify_pass_check_yes value="Yes"> Yes </option>
      <option $modify_pass_check_no value="No"> No </option>
    </select> <strong><br>
    </strong>Users won't be able to modify their links/listings when set to 'No'. When set to
    'Yes', users will be authenticated before modifications are allowed. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Send 'Welcome Email'
    email?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="welcome_email" size="1">
      <option $welcome_email_yes value="Yes"> Yes </option>
      <option $welcome_email_no value="No"> No </option>
    </select> <strong><br>
    </strong>If set to 'Yes', a welcome email will be sent to the submitter of a of new
    submission. You can edit this email by clicking on the settings button in the control
    panel. Then click <strong>'New Submission' and 'Modify Link' </strong>Emails. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Be informed when new
    submissions are made?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="informer_email" size="1">
      <option $informer_email_yes value="Yes"> Yes </option>
      <option $informer_email_no value="No"> No </option>
    </select> <strong><br>
    </strong>If set to 'Yes', an email will be sent to you, informing you of a new submission.    </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Strip HTML Code from
    descriptions:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="strip_html_code" size="1">
      <option $strip_html_code_yes value="Yes"> Yes </option>
      <option $strip_html_code_no value="No"> No </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Enable Image
    Authentication:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="img_auth" size="1">
      <option $img_auth_yes value="Yes"> Yes </option>
      <option $img_auth_no value="No"> No </option>
    </select> <br>
    Note that if this is enabled then 'Submission Services' won't be able to submit links to
    your search engine. This function has been implemented so that 'Submission Services' are
    not able to do spam submissions. See the PowerSeek manual for more on this. <a
    href="http://www.focalmedia.net/pseekmanual/image_authentication.html" target="_blank">Click
    here </a>to find out how to implement this into your add url form. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of results to
    display on a 'per page' basis when approving new submissions:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="newsubmissions_results" size="4" value="$newsubmissions_results"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Enable the
    reciprocal link checker for standard URLs?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="enable_reciprocal" size="1">
      <option $enable_reciprocal_y value="Yes"> Yes </option>
      <option $enable_reciprocal_n value="No"> No </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Enable the
    reciprocal link checker for premium URLs?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="enable_reciprocal_premium"
    size="1">
      <option $enable_reciprocal_premium_y value="Yes"> Yes </option>
      <option $enable_reciprocal_premium_n value="No"> No </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>If you answered
    'Yes' above then specify the URL that should be looked for at the submitters web site:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="reciprocal_link_back" size="48" value="$reciprocal_link_back"> <br>
    When a user makes a submission then the URL that they provide (where they have linked to
    your web site) will be checked for the link above. If it was not found then the user
    cannot submit a link. </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>








<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="6"></a> <strong>6. Comment/Reviews Submission
    Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Enable Image
    Authentication when visitors post comments:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="c_image_auth" size="1">
      <option $c_image_auth_y value="Yes"> Yes </option>
      <option $c_image_auth_n value="No"> No </option>
    </select> <br>
    This setting will block automated services from spamming via the comments feature.
    (Posting comments) </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of comments
    to display on a per page basis when approving comments from the Control Panel:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="comments_nr"
    size="4" value="$comments_nr"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Maximum amount of
    characters that may be used when adding a new comment:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="comment_max_chars" size="6" value="$comment_max_chars"> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>When displaying
    Comments/Reviews sort them from:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="comment_sorting" size="1">
      <option value="new" $comment_sorting_new> Latest to Oldest </option>
      <option value="old" $comment_sorting_old> Oldest to Latest </option>
    </select></td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="7"></a> <strong>7. Control Panel Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of link
    listings per page:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="cp_link_listings"
    size="4" value="$cp_link_listings"></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of link
    listings per page when searching:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text"
    name="cp_search_listings" size="4" value="$cp_search_listings"></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Display of HTML:</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="htmldisplay" size="1">
      <option value="htmlon" $htmlon> Display of HTML code on </option>
      <option value="htmloff" $htmloff> Display of HTML code off </option>
    </select><br>
    If link listings contain HTML code then errors in this HTML code may cause incorrect
    displays of links inside the Directory Manager. It can also cause situations where the
    links cannot be edited/moved/copied/deleted because the HTML errors inside links interfere
    with the HTML code of the Directory Manager. You can solve this problem by turning on the
    display of HTML code so that HTML code inside listings are ignored. (Not interpreted as
    HTML) </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="8"></a> <strong>8. What's New &amp; Top Hits
    Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of links to
    display on the What's New page?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="whatsnew_link_no"
    size="4" value="$whatsnew_link_no"> <br>
    If for example you specify 20, then the 20 latest additions will be displayed in your
    what's new page. </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Number of links to
    display on Top Hits page?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="tophits_link_no"
    size="4" value="$tophits_link_no"> <br>
    If for example you specify 20, then the 20 links that had the most 'hits' will be
    displayed. <br>
    &nbsp;&nbsp; </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext"
    background="$web_url/bar6.gif"><a name="9"></a> <strong>9. New &amp; Popular Indication
    Settings</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>How old should a
    link be where it will receive a 'New' indication? <br>
    (This is applicable for new1.gif) <br>
    new1.gif is located here: <br>
    $web_url/new1.gif </strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="days1" size="7"
    value="$days1"> Days </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>How old should a
    link be where it will receive a 'New' indication? <br>
    (This is applicable for new2.gif) <br>
    new2.gif is located here: <br>
    $web_url/new2.gif </strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="days2" size="7"
    value="$days2"> Days </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>How old should a
    link be where it will receive a 'New' indication? <br>
    (This is applicable for new3.gif) <br>
    new3.gif is located here: <br>
    $web_url/new3.gif </strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="days3" size="7"
    value="$days3"> Days </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>Would you like to
    display a 'Pop' (Popular) Graphic next to links that is considered to be popular? <br>
    pop.gif that is used is located here: <br>
    $web_url/pop.gif </strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><select name="popular_links" size="1">
      <option $popular_links_yes value="Yes"> Yes </option>
      <option $popular_links_no value="No"> No </option>
    </select> </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" align="right"><strong>How many hits/clicks
    should a link have received before it is considered as being popular?</strong></td>
    <td width="60%" valign="top" class="normaltext"
    style="border-left: 1px solid rgb(221,221,221)"><input type="text" name="pop_links_amount"
    size="12" value="$pop_links_amount"> </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="0" height="102">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" colspan="2" valign="top" class="normaltext" height="21"
    background="$web_url/bar6.gif"><a name="10"></a> <strong>10. Modifying of links</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="41%" valign="top" class="normaltext" height="57" align="right"><strong>Require
    users to supply a password to be able to modify links? (This setting is only valid if the
    registration system is not in use)</strong></td>
    <td width="60%" valign="top" class="normaltext" height="57"
    style="border-left: 1px solid rgb(221,221,221)"><select name="modif_password" size="1">
      <option $modif_password_yes value="Yes"> Yes </option>
      <option $modif_password_no value="No"> No </option>
    </select></td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="101%" valign="top"><input type="submit" value="     Save     " name="add"> <span
    class="normaltext">Click the save button to save all settings on this page. </span></td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>




</body>
</html>

END_OF_SET


}




sub start
{

if ($gsettings->{addurl_reg_system} eq "Yes")
	{
	$reg_system_note = "<b>The user registration system is currently in use.</b>";
	}
	else
	{
	$reg_system_note = "<b>The user registration system is currently not use. See the PowerSeek documentation on turning it on if you would like to use it.</b>";
	}


$headingd = acs::get_heading_box("$web_url/ic_settings3_1_main.gif", "Settings", qq[Various settings and options that lets you change the way in which your Search Engine & Directory operates.]); 


$stmpl = <<END_OF_STMPL;
$headingd



<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD"
height="730">
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><p align="center"><img
    src="$web_url/ic_settings5.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin10.cgi?fct=global_settings"
    onClick="popup('$admin_url/admin10.cgi?fct=global_settings',screen.width-200,screen.height-200);return false;">Global
    Engine Settings </a><br>
    </strong>These settings affect the way in which your Search Engine &amp; Directory
    functions. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_settings4.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin50.cgi"
    onClick="popup('$admin_url/admin50.cgi',750,600);return false;">HTML Generation Resource
    Usage </a><br>
    </strong>PowerSeek can use a lot of server resources when you generate HTML files. You can
    slow down the generation process to conserve server resource usage with the settings
    provided in this section. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><p align="center"><img
    src="$web_url/ic_settings6.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin16.cgi"
    onClick="popup('$admin_url/admin16.cgi',screen.width-200,screen.height-200);return false;">Customize
    Emails </a><br>
    </strong>These emails are sent out to users when they submit new listings, modify
    listings, or register user accounts. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><p align="center"><img
    src="$web_url/ic_texts.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin35.cgi"
    onClick="popup('$admin_url/admin35.cgi',screen.width-200,screen.height-200);return false;">Text
    Configurations </a><br>
    </strong>You can customize the text in this section. These texts are used in various
    responses to errors, (when users complete forms) and other situations. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img src="$web_url/ic_key.gif">    </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin37.cgi"
    onClick="popup('$admin_url/admin37.cgi',screen.width-200,screen.height-200, 'fieldkey');return false;">Extra
    Fields/Keys </a><br>
    </strong>Add/Remove/Change extra fields/keys. Extra fields enable you to collect
    additional data for links like for example: telephone numbers, addresses or any other
    details that you would like included with links. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_ukey.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin53.cgi"
    onClick="popup('$admin_url/admin53.cgi',screen.width-200,screen.height-200, 'fieldkey');return false;">User
    Extra Fields/Keys Settings</a><br>
    </strong>When you use the user registration system where users are required to create an
    account before being able to post a link then you can collect extra information from users
    by defining extra fields/keys when a user account is registered. $reg_system_note </td>
  </tr>
  <tr>
    <td bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_comment.gif"></td>
    <td height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin53.cgi?fct=comfields"
    onClick="popup('$admin_url/admin53.cgi?fct=comfields',screen.width-200,screen.height-200, 'fieldkey');return false;">Comments/Reviews Extra Fields/Keys Settings</a><br>
    </strong>This option enables you to Add/Remove/Change extra fields/keys for user reviews. With the extra field/key functionality for comments/reviews you can collect extra information from users posting comments/reviews for links. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_search22.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/p_specsearch.cgi"
    onClick="popup('$admin_url/p_specsearch.cgi',screen.width-200,screen.height-200, 'fieldkey');return false;">Create/Configure
    Advanced Searches</a><br>
    </strong>This functionality lets you create custom searches with their own look and feel.
    It allows you create for example, price range searches, city searches, city/state
    searches, etc. The list of searches that could be created is practically endless.</td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img src="$web_url/ic_rss.gif">    </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/admin71.cgi"
    onClick="popup('$admin_url/admin71.cgi',screen.width-200,screen.height-200);return false;">RSS
    Feed Configuration </a><br>
    </strong>Configure RSS Feeds for the Directory. </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

END_OF_STMPL

$template = acs::get_template("SETTINGS");
obbuild::get_setupa_line($config_cgi);
$template =~ s/!!data!!/$stmpl/gi;
print "$template";

}


####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

# removed
#<tr>
#      <td width="41%" valign="top"><img src="$web_url/first.gif"><font face="Verdana" size="1">
#      Would you like to display a 'New' Graphic next to links that is considered to be
#      new?</font></td>
#      <td width="60%" valign="top"><font face="Verdana" size="1" color="#000000"><select
#      name="newlinks" size="1" style="font-family: MS Sans Serif; font-size: 8pt">
#        <option $newlinks_yes value="Yes">Yes</option>
#        <option $newlinks_no value="No">No</option>
#      </select></font><br>
#      </td>
#    </tr>
